/////////////////////////////////////////////////////////////////////////
// AMU - Aix-Marseille Université
// Polytech Marseille - Microelectronique & Telecommunications (MT)
// Projet MT5A "STM32 In the Sky - HAB", 2018-2019
// Enseignants : C.Dufaza & H. Aziza
// Etudiants : ...
/////////////////////////////////////////////////////////////////////////
// Version avril 2019, C.Dufaza

/////////////////////////////////////////////////////////////////////////
// Assignation des entrées/sorties des différents modules

// Autres
#define IO_BUZZER       PB_3
#define IO_UV           PC_2
#define IO_PHOTORES     PC_3
#define IO_VBATT        PB_0

// Carte SD
#define IO_SD_MOSI      PB_15   // SPI 2
#define IO_SD_MISO      PB_14
#define IO_SD_SCK       PB_13
#define IO_SD_CS        PB_2

// Thermomètre PT100 (RTD) MAX31865
#define IO_PT100_MOSI   PB_15   // SPI 2
#define IO_PT100_MISO   PB_14
#define IO_PT100_SCK    PB_13
#define IO_PT100_CS     PB_1

// Lecteur MP3 DFPlayer
#define IO_MP3_TX       PB_6    // UART 1
#define IO_MP3_RX       PA_10

// DS18 thermomètre
#define IO_DS18         PC_6

// Shield XNUCLEO
#define IO_XNUC_SDA     PB_9    // I2C 1
#define IO_XNUC_SCL     PB_8

// Triple capteur Bosch BME280 (hum, temp, press)
#define IO_BOSCH_SDA    PB_9    // I2C 1
#define IO_BOSCH_SCL    PB_8

// Capteur eCO2 TVOC Gas sensor
#define IO_CO2_SDA      PB_9    // I2C 1
#define IO_CO2_SCL      PB_8

// Ozone O3
#define IO_O3_MOSI      PB_15   // SPI 2
#define IO_O3_MISO      PB_14
#define IO_O3_SCK       PB_13
#define IO_O3_CS        PB_12

// GPS
#define IO_GPS_TX       PC_1    // LPUART 
#define IO_GPS_RX       PC_0

// GSM/GPRS/2G+/téléphone
#define IO_GSM_TX       PA_0    // UART 4
#define IO_GSM_RX       PA_1
#define IO_GSM_PWR      PC_7
#define IO_GSM_NET      PA_8
#define IO_GSM_STAT     PA_9
#define IO_GSM_RST      PA_7

// LoRa
#define IO_LORA_TX      PC_12   // UART 5
#define IO_LORA_RX      PD_2

